Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

We're retiring the forums!

The SilverStripe forums have passed their heyday. They'll stick around, but will be read only. We'd encourage you to get involved in the community via the following channels instead:

All other Modules /

Discuss all other Modules here.

Moderators: martimiz, Sean, Ed, biapar, Willr, Ingo, swaiba

Newsletter module - Installation error


Go to End


880 Views

Avatar
pingpong

Community Member, 1 Post

12 July 2012 at 12:48pm

Hi all,

I am a newbie of Silverstripe. I am using SS version 2.4.7, and I have a problem when installing Newsletter module (newsletter-v0.4.0-rc1). Please help me how to fix these issues below:

Strict standards: Declaration of NewsletterRole::updateCMSFields() should be compatible with DataObjectDecorator::updateCMSFields(FieldSet &$fields) in C:\wamp\www\SilverStripe\newsletter\code\extensions\NewsletterRole.php on line 120

Strict standards: Declaration of Member::getCMSFields() should be compatible with DataObject::getCMSFields($params = NULL) in C:\wamp\www\SilverStripe\sapphire\security\Member.php on line 1413

Strict standards: Declaration of OptionsetField::setDisabled() should be compatible with FormField::setDisabled($bool) in C:\wamp\www\SilverStripe\sapphire\forms\OptionsetField.php on line 57

Strict standards: call_user_func() expects parameter 1 to be a valid callback, non-static method NewsletterRole::extraStatics() should not be called statically in C:\wamp\www\SilverStripe\sapphire\core\model\DataObjectDecorator.php on line 69

Thanks :))